Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_MechanismPolicy Class Reference

Implementation of the SecurityLevel2::MechanismPolicy interface. More...

`#include <MechanismPolicy.h>`

Inheritance diagram for TAO_MechanismPolicy:

[legend]
Collaboration diagram for TAO_MechanismPolicy:

[legend]
List of all members.

## Public Methods
virtual Security::MechanismTypeList * | mechanisms (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the list of mechanism types associated with this policy.
CORBA::Policy Methods
virtual CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Methods
| TAO_MechanismPolicy (const Security::MechanismTypeList &mechanisms)
| Constructor.
| ~TAO_MechanismPolicy (void)
| Destructor.
## Private Attributes
Security::MechanismTypeList | mechanisms_
## Friends
class | TAO_Security_PolicyFactory

## Detailed Description

Implementation of the SecurityLevel2::MechanismPolicy interface.

This policy can be used to specify which mechanisms may be used for invocation on a per-object basis. For example, it can be set as a policy override using the standard CORBA::Object::_set_policy_overrides() method.

Note:
  Only security mechanism will be used for a given invocation.

  This policy can be created by using the CORBA::ORB::create_policy() method by passing it the Security::SecMechanismPolicy policy type, and the appropriate Security::MechanismTypeList (inserted into a CORBA::Any).

## Constructor & Destructor Documentation

TAO_MechanismPolicy::TAO_MechanismPolicy | ( | const Security::MechanismTypeList & | mechanisms | ) | `[protected]`

| Constructor.

TAO_MechanismPolicy::~TAO_MechanismPolicy | ( | void |  | ) | `[protected]`

| Destructor. Protected destructor to enforce the fact this class is reference counted, and should not be destroyed using delete() by anything other than the reference counting mechanism.

## Member Function Documentation

CORBA::Policy_ptr TAO_MechanismPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

void TAO_MechanismPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

Security::MechanismTypeList * TAO_MechanismPolicy::mechanisms | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the list of mechanism types associated with this policy.

CORBA::PolicyType TAO_MechanismPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

## Friends And Related Function Documentation

friend class TAO_Security_PolicyFactory`[friend]`

## Member Data Documentation

Security::MechanismTypeList TAO_MechanismPolicy::mechanisms_`[private]`

| List of mechanisms that can be used for a given invocation. Only one is used at any given time.

The documentation for this class was generated from the following files:

- MechanismPolicy.h
- MechanismPolicy.cpp